Package com.pixelmed.apps

## Class CopyOnlyHeadOfMultipleStructuredReportsAndReferences

- java.lang.Object
- - com.pixelmed.apps.CopyOnlyHeadOfMultipleStructuredReportsAndReferences

-     public class CopyOnlyHeadOfMultipleStructuredReportsAndReferences
      extends java.lang.Object

  A class to process multiple SR files and their referenced instances (like Presentation States and Segmentations) and copy only the head (most recent) of the Predecessor Documents sequence chain and its references, ignoring earlier (obsolete) SR files and earlier references.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `CopyOnlyHeadOfMultipleStructuredReportsAndReferences.OurMediaImporter` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `ourAETitle` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CopyOnlyHeadOfMultipleStructuredReportsAndReferences​(java.lang.String[] srcs, java.lang.String dstFolderName)` | Copy only the most recent SR files and their references.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Copy only the most recent SR files and their references.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ourAETitle

          protected java.lang.String ourAETitle

  - ### Constructor Detail

    - #### CopyOnlyHeadOfMultipleStructuredReportsAndReferences

          public CopyOnlyHeadOfMultipleStructuredReportsAndReferences​(java.lang.String[] srcs,
                                                                      java.lang.String dstFolderName)
                                                               throws java.io.FileNotFoundException,
                                                                      java.io.IOException,
                                                                      DicomException

      Copy only the most recent SR files and their references.

      Parameters:
        `srcs` -
        `dstFolderName` -
      Throws:
        `java.io.FileNotFoundException`
        `java.io.IOException`
        `DicomException`

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] arg)

      Copy only the most recent SR files and their references.

      Parameters:
        `arg` - array of 2 or more strings - one or more source folder or DICOMDIR and a destination folder